#include <bits/stdc++.h>

using namespace std;

long long n;
long long br;
int main()
{
    cin.tie(0);
    cout.tie(0);
    cin>>n;
    long long x[n],y[n],z[n];
    for(int i=1; i<=n; i++){
        cin>>x[i];
    }
    for(int j=1; j<=n; j++){
        cin>>y[j];
    }
    for(int k=1; k<=n; k++){
        cin>>z[k];
    }
    for(int i=1; i<=n; i++){
        for(int k=1; k<=n; k++){
            if(x[i]==y[z[k]])br++;

    }
    }
    cout<<br<<'\n';
    return 0;
}